import request from '@/utils/request';

/**
 * 查询订单列表
 * @param params 查询条件
 */
export async function listOrder(params) {
  const res = await request.get('/sylive/order', {
    params
  });
  if (res.data.code === 0 && res.data.data) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 导出订单
 * @param params 查询条件
 */
export async function exportOrder(params) {
  const res = await request.get('/sylive/order/export', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
